package com.jcg;

import org.testng.annotations.AfterClass;
import org.testng.annotations.AfterGroups;
import org.testng.annotations.AfterMethod;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.BeforeGroups;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

public class TestNGConfigurationAnnotationsTest {
	
	@BeforeGroups("testGroup")
	public void beforeGroups() {
		System.out.println("Calling @BeforeGroups");
	}
 
	@AfterGroups("testGroup")
	public void afterGroups() {
		System.out.println("Calling @AfterGroups");
	}
 
	@BeforeClass
	public void beforeClass() {
		System.out.println("Calling @BeforeClass");
	}
 
	@AfterClass
	public void afterClass() {
		System.out.println("Calling @AfterClass");
	}
 
	@BeforeMethod
	public void beforeMethod() {
		System.out.println("Calling @BeforeMethod");
	}
 
	@AfterMethod
	public void afterMethod() {
		System.out.println("Calling @AfterMethod");
	}
 
	@Test(groups = "testGroup")
	public void runTest1() {
		System.out.println("Calling @Test - runTest1");
	}
 
	@Test
	public void runTest2() {
		System.out.println("Calling @Test - runTest2");
	}
	
}
